package com.dxfeed.acs.sample;

import com.devexperts.rmi.RMIEndpoint;
import com.dxfeed.acs.CandleService;
import com.dxfeed.event.candle.CandleSymbol;
import com.dxfeed.event.market.TimeAndSale;

import java.util.Collections;
import java.util.List;

public class TimeAndSaleAtTimeSample {
    private TimeAndSaleAtTimeSample() {
    }

    public static void main(String[] args) {
        if (args.length < 3) {
            System.out.println("Usage: 'java -cp acs-api\\lib\\* com.dxfeed.acs.sample.TimeAndSaleAtTimeSample <address> <symbol> <time>'");
            System.out.println("	<address> - chart server RMI address");
            System.out.println("	<symbol>  - symbol to get");
            System.out.println("	<time>    - UTC time in millis");
            System.exit(0);
        }
        String address = args[0];
        String symbol = args[1];
        long time = Long.parseLong(args[2]);
        RMIEndpoint endpoint = RMIEndpoint.createEndpoint(RMIEndpoint.Side.CLIENT);
        endpoint.connect(address);
        CandleService candleService = endpoint.getClient().getProxy(CandleService.class);
        CandleSymbol candleSymbol = CandleSymbol.valueOf(symbol);
        List<TimeAndSale> snapshot = candleService.getTimeAndSaleAtTime(Collections.singletonList(candleSymbol), time);
        System.out.println("Received: " + snapshot);
        endpoint.close();
    }
}
